#include <iostream>
#include <cmath>

main() {
	int x,n;
	scanf("%d %d", &n, &x);
	int komsije[n];
	for (int i = 0; i < n; i++) {
		scanf("%d", &komsije[i]);
	}
	
	int time = (abs(x - komsije[0]) > abs(x - komsije[n-1])) ? abs(x - komsije[n-1]) : abs(x - komsije[0]);
	time += abs(komsije[n-1] - komsije[0]);
	printf("%d", time);
	return 0;
}